package com.usky.rule.vo.log;

import java.util.List;

public class ControlAction {
    private List<Control> controls;
    private List<DeviceControlResult> devices;
    private String time;

    public ControlAction() {
    }

    public List<Control> getControls() {
        return this.controls;
    }

    public List<DeviceControlResult> getDevices() {
        return this.devices;
    }

    public String getTime() {
        return this.time;
    }

    public void setControls(final List<Control> controls) {
        this.controls = controls;
    }

    public void setDevices(final List<DeviceControlResult> devices) {
        this.devices = devices;
    }

    public void setTime(final String time) {
        this.time = time;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof ControlAction)) {
            return false;
        } else {
            ControlAction other = (ControlAction)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$controls = this.getControls();
                Object other$controls = other.getControls();
                if (this$controls == null) {
                    if (other$controls != null) {
                        return false;
                    }
                } else if (!this$controls.equals(other$controls)) {
                    return false;
                }

                Object this$devices = this.getDevices();
                Object other$devices = other.getDevices();
                if (this$devices == null) {
                    if (other$devices != null) {
                        return false;
                    }
                } else if (!this$devices.equals(other$devices)) {
                    return false;
                }

                Object this$time = this.getTime();
                Object other$time = other.getTime();
                if (this$time == null) {
                    if (other$time != null) {
                        return false;
                    }
                } else if (!this$time.equals(other$time)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof ControlAction;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $controls = this.getControls();
        result = result * 59 + ($controls == null ? 43 : $controls.hashCode());
        Object $devices = this.getDevices();
        result = result * 59 + ($devices == null ? 43 : $devices.hashCode());
        Object $time = this.getTime();
        result = result * 59 + ($time == null ? 43 : $time.hashCode());
        return result;
    }

    public String toString() {
        return "ControlAction(controls=" + this.getControls() + ", devices=" + this.getDevices() + ", time=" + this.getTime() + ")";
    }
}